## org.eclipse.emf.compare.match.metamodel.impl
Class MatchPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.compare.match.metamodel.impl.MatchPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, MatchPackage, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class MatchPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MatchPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.metamodel.MatchPackage
`MatchPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.compare.match.metamodel.MatchPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MATCH_ELEMENT, MATCH_ELEMENT__SIMILARITY, MATCH_ELEMENT__SUB_MATCH_ELEMENTS, MATCH_ELEMENT_FEATURE_COUNT, MATCH_MODEL, MATCH_MODEL__ANCESTOR_ROOTS, MATCH_MODEL__LEFT_ROOTS, MATCH_MODEL__MATCHED_ELEMENTS, MATCH_MODEL__RIGHT_ROOTS, MATCH_MODEL__UNMATCHED_ELEMENTS, MATCH_MODEL_FEATURE_COUNT, MATCH_RESOURCE_SET, MATCH_RESOURCE_SET__MATCH_MODELS, MATCH_RESOURCE_SET__UNMATCHED_MODELS, MATCH_RESOURCE_SET_FEATURE_COUNT, MATCH2_ELEMENTS, MATCH2_ELEMENTS__LEFT_ELEMENT, MATCH2_ELEMENTS__RIGHT_ELEMENT, MATCH2_ELEMENTS__SIMILARITY, MATCH2_ELEMENTS__SUB_MATCH_ELEMENTS, MATCH2_ELEMENTS_FEATURE_COUNT, MATCH3_ELEMENTS, MATCH3_ELEMENTS__LEFT_ELEMENT, MATCH3_ELEMENTS__ORIGIN_ELEMENT, MATCH3_ELEMENTS__RIGHT_ELEMENT, MATCH3_ELEMENTS__SIMILARITY, MATCH3_ELEMENTS__SUB_MATCH_ELEMENTS, MATCH3_ELEMENTS_FEATURE_COUNT, SIDE, UNMATCH_ELEMENT, UNMATCH_ELEMENT__CONFLICTING, UNMATCH_ELEMENT__ELEMENT, UNMATCH_ELEMENT__REMOTE, UNMATCH_ELEMENT__SIDE, UNMATCH_ELEMENT_FEATURE_COUNT, UNMATCH_MODEL, UNMATCH_MODEL__REMOTE, UNMATCH_MODEL__ROOTS, UNMATCH_MODEL__SIDE, UNMATCH_MODEL_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` `getMatch2Elements_LeftElement()`
`org.eclipse.emf.ecore.EReference` `getMatch2Elements_RightElement()`
`org.eclipse.emf.ecore.EClass` `getMatch2Elements()`
`org.eclipse.emf.ecore.EReference` `getMatch3Elements_OriginElement()`
`org.eclipse.emf.ecore.EClass` `getMatch3Elements()`
`org.eclipse.emf.ecore.EAttribute` `getMatchElement_Similarity()`
`org.eclipse.emf.ecore.EReference` `getMatchElement_SubMatchElements()`
`org.eclipse.emf.ecore.EClass` `getMatchElement()`
`MatchFactory` `getMatchFactory()`
`org.eclipse.emf.ecore.EReference` `getMatchModel_AncestorRoots()`
`org.eclipse.emf.ecore.EReference` `getMatchModel_LeftRoots()`
`org.eclipse.emf.ecore.EReference` `getMatchModel_MatchedElements()`
`org.eclipse.emf.ecore.EReference` `getMatchModel_RightRoots()`
`org.eclipse.emf.ecore.EReference` `getMatchModel_UnmatchedElements()`
`org.eclipse.emf.ecore.EClass` `getMatchModel()`
`org.eclipse.emf.ecore.EReference` `getMatchResourceSet_MatchModels()`
`org.eclipse.emf.ecore.EReference` `getMatchResourceSet_UnmatchedModels()`
`org.eclipse.emf.ecore.EClass` `getMatchResourceSet()`
`org.eclipse.emf.ecore.EEnum` `getSide()`
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Conflicting()`
`org.eclipse.emf.ecore.EReference` `getUnmatchElement_Element()`
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Remote()`
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Side()`
`org.eclipse.emf.ecore.EClass` `getUnmatchElement()`
`org.eclipse.emf.ecore.EAttribute` `getUnmatchModel_Remote()`
`org.eclipse.emf.ecore.EReference` `getUnmatchModel_Roots()`
`org.eclipse.emf.ecore.EAttribute` `getUnmatchModel_Side()`
`org.eclipse.emf.ecore.EClass` `getUnmatchModel()`
`static MatchPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MatchPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `MatchPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### getMatch2Elements

    public org.eclipse.emf.ecore.EClass getMatch2Elements()

  Specified by:
    `getMatch2Elements` in interface `MatchPackage`
  Returns:
    the meta object for class 'Match2 Elements'.
  See Also:
    `Match2Elements`

### getMatch2Elements_LeftElement

    public org.eclipse.emf.ecore.EReference getMatch2Elements_LeftElement()

  Specified by:
    `getMatch2Elements_LeftElement` in interface `MatchPackage`
  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `Match2Elements.getLeftElement()`, `MatchPackage.getMatch2Elements()`

### getMatch2Elements_RightElement

    public org.eclipse.emf.ecore.EReference getMatch2Elements_RightElement()

  Specified by:
    `getMatch2Elements_RightElement` in interface `MatchPackage`
  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `Match2Elements.getRightElement()`, `MatchPackage.getMatch2Elements()`

### getMatch3Elements

    public org.eclipse.emf.ecore.EClass getMatch3Elements()

  Specified by:
    `getMatch3Elements` in interface `MatchPackage`
  Returns:
    the meta object for class 'Match3 Elements'.
  See Also:
    `Match3Elements`

### getMatch3Elements_OriginElement

    public org.eclipse.emf.ecore.EReference getMatch3Elements_OriginElement()

  Specified by:
    `getMatch3Elements_OriginElement` in interface `MatchPackage`
  Returns:
    the meta object for the reference 'Origin Element'.
  See Also:
    `Match3Elements.getOriginElement()`, `MatchPackage.getMatch3Elements()`

### getUnmatchElement

    public org.eclipse.emf.ecore.EClass getUnmatchElement()

  Specified by:
    `getUnmatchElement` in interface `MatchPackage`
  Returns:
    the meta object for class 'Unmatch Element'.
  See Also:
    `UnmatchElement`

### getUnmatchElement_Element

    public org.eclipse.emf.ecore.EReference getUnmatchElement_Element()

  Specified by:
    `getUnmatchElement_Element` in interface `MatchPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `UnmatchElement.getElement()`, `MatchPackage.getUnmatchElement()`

### getUnmatchElement_Conflicting

    public org.eclipse.emf.ecore.EAttribute getUnmatchElement_Conflicting()

  Specified by:
    `getUnmatchElement_Conflicting` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Conflicting'.
  See Also:
    `UnmatchElement.isConflicting()`, `MatchPackage.getUnmatchElement()`

### getUnmatchElement_Remote

    public org.eclipse.emf.ecore.EAttribute getUnmatchElement_Remote()

  Specified by:
    `getUnmatchElement_Remote` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `UnmatchElement.isRemote()`, `MatchPackage.getUnmatchElement()`

### getUnmatchElement_Side

    public org.eclipse.emf.ecore.EAttribute getUnmatchElement_Side()

  Specified by:
    `getUnmatchElement_Side` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Side'.
  See Also:
    `UnmatchElement.getSide()`, `MatchPackage.getUnmatchElement()`

### getMatchResourceSet

    public org.eclipse.emf.ecore.EClass getMatchResourceSet()

  Specified by:
    `getMatchResourceSet` in interface `MatchPackage`
  Returns:
    the meta object for class 'Resource Set'.
  See Also:
    `MatchResourceSet`

### getMatchResourceSet_MatchModels

    public org.eclipse.emf.ecore.EReference getMatchResourceSet_MatchModels()

  Specified by:
    `getMatchResourceSet_MatchModels` in interface `MatchPackage`
  Returns:
    the meta object for the containment reference list 'Match Models'.
  See Also:
    `MatchResourceSet.getMatchModels()`, `MatchPackage.getMatchResourceSet()`

### getMatchResourceSet_UnmatchedModels

    public org.eclipse.emf.ecore.EReference getMatchResourceSet_UnmatchedModels()

  Specified by:
    `getMatchResourceSet_UnmatchedModels` in interface `MatchPackage`
  Returns:
    the meta object for the containment reference list 'Unmatched Models'.
  See Also:
    `MatchResourceSet.getUnmatchedModels()`, `MatchPackage.getMatchResourceSet()`

### getSide

    public org.eclipse.emf.ecore.EEnum getSide()

  Specified by:
    `getSide` in interface `MatchPackage`
  Returns:
    the meta object for enum 'Side'.
  See Also:
    `Side`

### getMatchElement

    public org.eclipse.emf.ecore.EClass getMatchElement()

  Specified by:
    `getMatchElement` in interface `MatchPackage`
  Returns:
    the meta object for class 'Element'.
  See Also:
    `MatchElement`

### getMatchElement_Similarity

    public org.eclipse.emf.ecore.EAttribute getMatchElement_Similarity()

  Specified by:
    `getMatchElement_Similarity` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Similarity'.
  See Also:
    `MatchElement.getSimilarity()`, `MatchPackage.getMatchElement()`

### getMatchElement_SubMatchElements

    public org.eclipse.emf.ecore.EReference getMatchElement_SubMatchElements()

  Specified by:
    `getMatchElement_SubMatchElements` in interface `MatchPackage`
  Returns:
    the meta object for the containment reference list 'Sub Match Elements'.
  See Also:
    `MatchElement.getSubMatchElements()`, `MatchPackage.getMatchElement()`

### getMatchFactory

    public MatchFactory getMatchFactory()

  Specified by:
    `getMatchFactory` in interface `MatchPackage`
  Returns:
    the factory that creates the instances of the model.

### getMatchModel

    public org.eclipse.emf.ecore.EClass getMatchModel()

  Specified by:
    `getMatchModel` in interface `MatchPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `MatchModel`

### getMatchModel_MatchedElements

    public org.eclipse.emf.ecore.EReference getMatchModel_MatchedElements()

  Specified by:
    `getMatchModel_MatchedElements` in interface `MatchPackage`
  Returns:
    the meta object for the containment reference list 'Matched Elements'.
  See Also:
    `MatchModel.getMatchedElements()`, `MatchPackage.getMatchModel()`

### getMatchModel_UnmatchedElements

    public org.eclipse.emf.ecore.EReference getMatchModel_UnmatchedElements()

  Specified by:
    `getMatchModel_UnmatchedElements` in interface `MatchPackage`
  Returns:
    the meta object for the containment reference list 'Unmatched Elements'.
  See Also:
    `MatchModel.getUnmatchedElements()`, `MatchPackage.getMatchModel()`

### getMatchModel_LeftRoots

    public org.eclipse.emf.ecore.EReference getMatchModel_LeftRoots()

  Specified by:
    `getMatchModel_LeftRoots` in interface `MatchPackage`
  Returns:
    the meta object for the reference list 'Left Roots'.
  See Also:
    `MatchModel.getLeftRoots()`, `MatchPackage.getMatchModel()`

### getMatchModel_RightRoots

    public org.eclipse.emf.ecore.EReference getMatchModel_RightRoots()

  Specified by:
    `getMatchModel_RightRoots` in interface `MatchPackage`
  Returns:
    the meta object for the reference list 'Right Roots'.
  See Also:
    `MatchModel.getRightRoots()`, `MatchPackage.getMatchModel()`

### getMatchModel_AncestorRoots

    public org.eclipse.emf.ecore.EReference getMatchModel_AncestorRoots()

  Specified by:
    `getMatchModel_AncestorRoots` in interface `MatchPackage`
  Returns:
    the meta object for the reference list 'Ancestor Roots'.
  See Also:
    `MatchModel.getAncestorRoots()`, `MatchPackage.getMatchModel()`

### getUnmatchModel

    public org.eclipse.emf.ecore.EClass getUnmatchModel()

  Specified by:
    `getUnmatchModel` in interface `MatchPackage`
  Returns:
    the meta object for class 'Unmatch Model'.
  See Also:
    `UnmatchModel`

### getUnmatchModel_Roots

    public org.eclipse.emf.ecore.EReference getUnmatchModel_Roots()

  Specified by:
    `getUnmatchModel_Roots` in interface `MatchPackage`
  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `UnmatchModel.getRoots()`, `MatchPackage.getUnmatchModel()`

### getUnmatchModel_Remote

    public org.eclipse.emf.ecore.EAttribute getUnmatchModel_Remote()

  Specified by:
    `getUnmatchModel_Remote` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `UnmatchModel.isRemote()`, `MatchPackage.getUnmatchModel()`

### getUnmatchModel_Side

    public org.eclipse.emf.ecore.EAttribute getUnmatchModel_Side()

  Specified by:
    `getUnmatchModel_Side` in interface `MatchPackage`
  Returns:
    the meta object for the attribute 'Side'.
  See Also:
    `UnmatchModel.getSide()`, `MatchPackage.getUnmatchModel()`

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2006 IBM Corporation and others. All Rights Reserved.